Skip to content

deployment_deployment_cancel

Cancel a non-terminal deployment, releasing the in-progress lock so the service can deploy again

Tool

deployment_deployment_cancel

Cancel a non-terminal deployment, releasing the in-progress lock so the service can deploy again

Cancel a non-terminal deployment, releasing the in-progress lock so the service can deploy again

Behavior

HTTP
POST /deployment/services/:serviceId/cancel

Arguments

Name
Type
Required
Description
serviceId
string
•
No description in the catalog.
deploymentId
string
•
No description in the catalog.

Response

Field
Type
Always
Description
id
string
•
status
string
•
builtAt
string
•
trigger
string
•
imageRef
string
•
commitSha
string
•
createdAt
string
•
serviceId
string
•
startedAt
string
•
updatedAt
string
•
deployedAt
string
•
finishedAt
string
•
cloudBuildId
string
•
configSnapshot
object
•
lastErrorMessage
string
•
rolledBackFromDeploymentId
string
•

Try it

Cancel a non-terminal deployment, releasing the in-progress lock so the service can deploy again.

When to use

Cancel a non-terminal deployment, releasing the in-progress lock so the service can deploy again

Example

Ask your agent something like this:

Cancel a non-terminal deployment, releasing the in-progress lock so the service can deploy again.

The agent will invoke deployment_deployment_cancel with these arguments:

{
  "serviceId": "<serviceId>",
  "deploymentId": "<deploymentId>"
}

Esc

Start typing to search the docs.

↑↓navigate↵select